Obter Linha

Obter uma linha pelo identificador.

GET/api/v2/tables/{tableId}/rows/{rowId}
X-API-Key<token>

Sua API key do Studio, pessoal ou com escopo de workspace. Gere uma em Settings e depois API Keys. As operações que rejeitam API keys de workspace dizem isso na própria descrição.

Em: header

Parâmetros de path

tableId*string

Identificador único da table.

Tamanho1 <= length
rowId*string

Identificador único da linha da table.

Tamanho1 <= length

Parâmetros de query

workspaceId*string

Workspace dono da table.

Tamanho1 <= length
includeRunState?boolean

Include per-workflow-group run state on the returned row. Off by default.

Corpo da resposta

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://agent-studio.seeyu.ai/api/v2/tables/string/rows/string?workspaceId=string" \  -H "X-API-Key: YOUR_API_KEY"
{
  "data": {
    "id": "string",
    "data": {
      "email": "jane@example.com",
      "name": "Jane Doe",
      "age": 30
    },
    "runState": {
      "property1": {
        "status": "string",
        "executionId": "string",
        "workflowId": "string",
        "error": "string",
        "runningBlockIds": [
          "string"
        ],
        "blockErrors": {
          "property1": "string",
          "property2": "string"
        },
        "canceledAt": "2019-08-24T14:15:22Z"
      },
      "property2": {
        "status": "string",
        "executionId": "string",
        "workflowId": "string",
        "error": "string",
        "runningBlockIds": [
          "string"
        ],
        "blockErrors": {
          "property1": "string",
          "property2": "string"
        },
        "canceledAt": "2019-08-24T14:15:22Z"
      }
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "BAD_REQUEST",
    "message": "Invalid request"
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Authentication required"
  }
}
{
  "error": {
    "code": "FORBIDDEN",
    "message": "Insufficient workspace permissions",
    "details": {
      "code": "INSUFFICIENT_WORKSPACE_ROLE"
    }
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Not found"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "API rate limit exceeded",
    "details": {
      "retryAfter": "2026-01-01T00:00:30.000Z"
    }
  }
}
{
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "Internal server error"
  }
}
{
  "error": {
    "code": "SERVICE_UNAVAILABLE",
    "message": "Service temporarily unavailable"
  }
}